Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Interface Customizable

All Known Implementing Classes:
  CustomizableAdapter

public interface Customizable
extends java.io.Serializable

Interface to be implemented by clients wanting to substitute their own validate methods and thus creating new classes to be used as validatorClass attributes in the CustomValidator.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `setErrorMessage(java.lang.String name)` error message being shown to the user.
`void` | `setExpression(java.lang.String type)` customExpression which may be used by the implementor for use in the validate method
`void` | `setFieldToValidate(java.lang.String control)` field being validated
`boolean` | `validate(javax.servlet.ServletRequest request)` users may use this method to validate the string value.

Method Detail

### setFieldToValidate

    public void setFieldToValidate(java.lang.String control)

  field being validated

### setErrorMessage

    public void setErrorMessage(java.lang.String name)

  error message being shown to the user.

### setExpression

    public void setExpression(java.lang.String type)

  customExpression which may be used by the implementor for use in the validate method

### validate

    public boolean validate(javax.servlet.ServletRequest request)
                     throws java.lang.Exception

  users may use this method to validate the string value. for eg: the value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

  Parameters:
    `value` - : received from the request parameter for this control
  Returns:
    boolean indicating operation status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD